# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=file
pkgver=5.42
pkgrel=1
pkgdesc="File type identification utility"
arch=('x86_64')
url="https://www.darwinsys.com/file/"
license=('custom')
groups=('base')
depends=('glibc' 'bzip2' 'xz' 'zlib')
makedepends=('bash' 'binutils' 'coreutils' 'diffutils' 'gawk' 'gcc' 'grep' 'make' 'sed')
options=('!emptydirs')
source=(https://astron.com/pub/${pkgname}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(c076fb4d029c74073f15c43361ef572cfb868407d347190ba834af3b1639b0e4)

build() {
    cd ${pkgname}-${pkgver}

    CFLAGS+=" -pthread"

    ${configure}

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
